Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82638 - xpdf must load locale dependent resource automatically
Summary: xpdf must load locale dependent resource automatically
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: xpdf
Version: phoebe
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-24 10:27 UTC by Nakai
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-27 17:52:12 UTC


Attachments (Terms of Use)
xpdf.spec.diff (deleted)
2003-01-24 10:29 UTC, Nakai
no flags Details | Diff
xpdf-2.01-locale.patch (deleted)
2003-01-24 10:29 UTC, Nakai
no flags Details | Diff

Description Nakai 2003-01-24 10:27:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
xpdf has a CJK pdf feature, but it don't load locale dependent
resource automatically. User can make ~/.xpdfrc file with reading
documents, but it's non-sense.

xpdf must load locale dependent resources automatically.
Patches for spec and cc code are available.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to see Japanese pdf with pdf, on freshly installed Red Hat Linux
2. xpdf shows nothing but white
3.
    

Actual Results:  xpdf fails to load language dependent font resource

Expected Results:  xpdf would load language dependent font resource automatically
without users' time to read documents.

Additional info:

Comment 1 Nakai 2003-01-24 10:29:00 UTC
Created attachment 89567 [details]
xpdf.spec.diff

Comment 2 Nakai 2003-01-24 10:29:40 UTC
Created attachment 89568 [details]
xpdf-2.01-locale.patch

Comment 3 Ngo Than 2003-01-27 17:52:12 UTC
2.01-5 has this fix. Thanks


Note You need to log in before you can comment on or make changes to this bug.